.mask {
    position: fixed;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: #626262;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.3s ease;
    .menu--open & {
        z-index: 50;
        opacity: 0.8;
        pointer-events: all;
    }
}